Bug 151218 - multimedia/pitivi port is missing run-time dependency
Summary: multimedia/pitivi port is missing run-time dependency
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Koop Mast
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-05 02:00 UTC by Jesse
Modified: 2010-10-08 15:00 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse 2010-10-05 02:00:09 UTC
When installing PiTiVi from Ports, the program installs properly. When run, PiTiVi displays a pop-up saying it also requires alsasink or osssink to be present. The program then exits. 

The requested packages are gstreamer plugins (gstreamer-oss and gstreamer-alsa). Installing the gstreamer-oss plugin fixes the problem, allowing PiTiVi to run normally.

Since the gstreamer-oss software is a run-time requirement, I think it should be made a depenrdency of PiTiVi.

Fix: 

At the moment, manually installing the gstreamer-oss software will correct the problem. However, I think this should be done automatically during by the port's makefile since it is a run-time requirement.
How-To-Repeat: Execute as root:
cd /usr/ports/multimedia/pitivi
make install

Run PiTiVi. At start-up a pop-up will appear requesting the gstreamer software be installed. The program then exits.
Comment 1 Edwin Groothuis freebsd_committer 2010-10-06 08:29:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->kwm

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Koop Mast freebsd_committer 2010-10-08 14:51:37 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 3 dfilter service freebsd_committer 2010-10-08 14:51:41 UTC
kwm         2010-10-08 13:51:35 UTC

  FreeBSD ports repository

  Modified files:
    multimedia/pitivi    Makefile 
  Log:
  Pitivi needs a dependancy on the oss gstreamer plugin.
  
  PR:             ports/151218
  Submitted by:   Jesse <jessefrgsmith@yahoo.ca>
  
  Revision  Changes    Path
  1.20      +2 -1      ports/multimedia/pitivi/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"